Subject: bug#19570: bug: df and bind mounts

From: Pádraig Brady <[email-masked]>
Date: Mon, 12 Jan 2015 23:04:04 +0000

On 12/01/15 21:27, Bernhard Voelker wrote:
> On 01/12/2015 02:31 AM, Pádraig Brady wrote:
>> On 11/01/15 23:36, Vladimir A. Pavlov wrote:
>>> run /run tmpfs rw,noatime,nodiratime,nodev,noexec,mode=0755,size=1m 0 0
>>> /run/cgs/httpd /usr/cgs/httpd/run none rw,bind 0 0
> 
>> Thanks for the analysis and patch,
>> Current tests pass at least with it.
>> I'll analyse a little more, add tests and probably push.
> 
> hmm, tmpfs is problematic anyway, as one can specify anything
> as the dummy backing source device:
> 
>   $ mount -t tmpfs hello:/world /mnt
>   $ mount -t tmpfs something /mnt
>   $ mount -t tmpfs / /mnt
>   $ findmnt /mnt
>   TARGET SOURCE       FSTYPE OPTIONS
>   /mnt   hello:/world tmpfs  rw,relatime
>   /mnt   something    tmpfs  rw,relatime
>   /mnt   /            tmpfs  rw,relatime
> 
>   $ df -a --out=source,target | grep /mnt
>   hello:/world   /mnt
>   something      /mnt
>   /              /mnt
> 
> I'd almost tend to recommend to classify tmpfs as dummy
> file system like procfs etc.

I see what you mean.
However we take dummy to mean,
no associated storage in the memory hierarchy,
which tmpfs clearly has.

Pádraig